device_type: nexus9
job_name: nexus9-pipeline-fastboot

timeouts:
  job:
    minutes: 60
  action:
    minutes: 15
priority: medium
visibility: public

protocols:
  lava-lxc:
    name: lxc-nexus9-test
    template: debian
    distribution: debian
    release: buster

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 30
    to: lxc
    packages:
    - adb
    - fastboot
    os: debian

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):/#'
    timeout:
      minutes: 5
    method: lxc

- deploy:
    timeout:
      minutes: 15
    to: fastboot
    namespace: droid
    connection: lxc
    images:
      boot:
        url: http://images.validation.linaro.org/nexus9/aosp-master-108/boot.img
      system:
        url: http://images.validation.linaro.org/nexus9/aosp-master-108/system.img
      userdata:
        url: http://images.validation.linaro.org/nexus9/aosp-master-108/userdata.img
      vendor:
        url: http://testdata.validation.linaro.org/apks/binaries/nexus9/master/vendor.img
      cache:
        url: http://images.validation.linaro.org/nexus9/aosp-master-108/cache.img
    os: debian

- boot:
    namespace: droid
    prompts:
    - 'root@(.*):/#'
    timeout:
      minutes: 5
    method: fastboot
    failure_retry: 2
    connection: lxc

- test:
    namespace: tlxc
    timeout:
      minutes: 5
    connection: lxc
    definitions:
    - repository: http://git-us.linaro.org/lava-team/lava-functional-tests.git/
      from: git
      path: lava-test-shell/android/get-adb-serial.yaml
      name: get-adb-serial-nexus9
